Skip to main content
`Ctrl`+`K`

# TSAdjointStep

Steps one time step backward in the adjoint run

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointStep(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdjointSetUp()`, `TSAdjointSolve()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

## Implementations

TSAdjointStep_ARKIMEX() in src/ts/impls/arkimex/arkimex.c
TSAdjointStep_RK() in src/ts/impls/explicit/rk/rk.c
TSAdjointStep_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages